<!DOCTYPE html>
<html>
<head>
	<title>HW4</title>
</head>
<body>
	<script>
		// Напиши функцию map(fn, array), которая принимает на вход функцию и массив, и обрабатывает каждый элемент массива этой функцией, возвращая новый массив.
        
		function map(fn, array) {
			let newArray = [];
			for (var i = 0; i < array.length; i++) {
				newArray[i] = fn(array[i]);
			}
			return newArray;
		}

		console.log(map(el => ++el, [1, 2, 3, 4]).join(', '));
		console.log(map(el => el + "1", [1, 2, 3, 4]).join(', '));  //не люблю js за такой синтаксис... читабельность прям ваще!

		// Перепишите функцию, используя оператор '?' или '||'

		function checkAge(age) {
			return (age > 18) ? true : confirm('Родители разрешили?');
		}

		document.write( (checkAge(parseInt(prompt("Сколько вам лет?")))) ? 'Больше 18 или родители разрешили! ВИИИ-И-И!' : 'Маленький еще' );
	</script>
</body>
</html>